DeveloperAPI ReferencePlugins
/api/plugins
Query Parameters
capability?string
Filter by capability
mediaTypes?string
Comma-separated list of media types to filter by (returns plugins matching any)
Response Body
application/json
curl -X GET "https://example.com/api/plugins"{
"plugins": [
{
"id": "string",
"name": "string",
"capabilities": [
"filesystem"
],
"mediaTypes": [
"string"
],
"version": "string",
"description": "string",
"author": "string",
"license": "string",
"repository": "string",
"homepage": "string",
"enabled": true,
"state": "stopped",
"errorMessage": "string",
"type": "builtin",
"restartAttempts": 0,
"lastCrashAt": "string",
"configuration": [
{
"key": "string",
"label": "string",
"input": "text",
"required": true,
"default": null,
"options": [
null
],
"min": 0,
"max": 0,
"description": "string"
}
],
"capabilityConfig": {
"library": {
"paths": [
{
"type": "string",
"rules": [
"string"
],
"extensions": [
"string"
]
}
]
},
"filesystem": {
"supportsWatch": true,
"supportsLocalFileAccess": true,
"supportsWrite": true
}
}
}
],
"skipped": [
{
"key": "string",
"id": "string",
"name": "string",
"version": "string",
"minVersion": "string",
"appVersion": "string",
"path": "string",
"reason": "invalid-manifest",
"message": "string"
}
]
}